﻿using System;
using System.IO;
using System.Net;
using System.Net.Sockets;
using System.Text;

namespace HttpServerSample
{
    class Program
    {
        static void Main(string[] args)
        {
            var listener = new TcpListener(IPAddress.Any, 80);
            listener.Start();

            while (true)
            {
                try
                {
                    using (var client = listener.AcceptTcpClient())
                    {
                        using (var reader = new StreamReader(client.GetStream()))
                        using (var writer = new StreamWriter(client.GetStream()))
                        {
                            var request = new Request(reader)
                            {
                                IPEndPoint = (IPEndPoint)client.Client.RemoteEndPoint
                            };
                            Console.WriteLine(request);

                            var response = Response.Create(request);
                            Console.WriteLine(response);
                            writer.Write(response);
                        }
                    }
                }
                catch(Exception ex)
                {
                    Console.WriteLine(ex.Message);
                }
            }
        }
    }
}
