﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace FlightSearch.Models
{
    public class FlightRoute
    {
        public int Id { get; set; }
        [Display(Name = "Flugnummer")]
        [StringLength(8, MinimumLength = 5,
                    ErrorMessage = "Flugnummer max. 8 Zeichen lang")]
        public string FlightNo { get; set; }
        [Display(Name = "Datum")]
        [DisplayFormat(DataFormatString = "{0:dd-MM-yyyy}",
                       ApplyFormatInEditMode = true)]
        [DataType(DataType.Date)]
        [Required]
        public DateTime Date { get; set; }
        [Display(Name = "Abflug")]
        [DataType(DataType.Time)]
        [Required]
        public DateTime From { get; set; }
        [Display(Name = "Ankunft")]
        [DataType(DataType.Time)]
        [Required]
        public DateTime To { get; set; }
        [Display(Name = "Abflughafen")]
        [Required]
        public string FromAirport { get; set; }
        [Display(Name = "Zielflughafen")]
        [Required]
        public string ToAirport { get; set; }
        [Display(Name = "Hinweise")]
        public string Hints { get; set; }

    }
}